Penangan notifikasi
GET https://lnkto.my/api/notification-handlers/
curl --request GET \
--url 'https://lnkto.my/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://lnkto.my/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Detail | Deskripsi |
|---|---|---|
| search | Opsional String | String pencarian. |
| search_by | Opsional String | Bidang apa yang Anda cari. Nilai yang diperbolehkan adalah: name. |
| is_enabled | Opsional Boolean | |
| type | Opsional String | Bidang apa yang Anda cari. Nilai yang diperbolehkan adalah: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification. |
| order_by | Opsional String | Bidang apa yang akan digunakan untuk mengurutkan hasil. Nilai yang diizinkan adalah: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opsional String | Pengurutan hasil. Nilai yang diizinkan adalah: ASC untuk pengurutan naik, dan DESC untuk pengurutan turun. |
| search | Opsional String | String pencarian. |
| search_by | Opsional String | Bidang apa yang Anda cari. Nilai yang diperbolehkan adalah: name. |
| is_enabled | Opsional Boolean | |
| type | Opsional String | Bidang apa yang Anda cari. Nilai yang diperbolehkan adalah: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification. |
| order_by | Opsional String | Bidang apa yang akan digunakan untuk mengurutkan hasil. Nilai yang diizinkan adalah: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opsional String | Pengurutan hasil. Nilai yang diizinkan adalah: ASC untuk pengurutan naik, dan DESC untuk pengurutan turun. |
| page | Opsional Integer | Nomor halaman yang ingin Anda hasilkan. Defaultnya adalah 1. |
| results_per_page | Opsional Integer | Berapa banyak hasil yang Anda inginkan per halaman. Nilai yang diperbolehkan adalah: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaultnya adalah 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-02 13:47:46",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://lnkto.my/api/notification-handlers?page=1",
"last": "https://lnkto.my/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://lnkto.my/api/notification-handlers?page=1"
}
}
GET https://lnkto.my/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://lnkto.my/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://lnkto.my/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-02 13:47:46",
}
}
POST https://lnkto.my/api/notification-handlers
| Parameter | Detail | Deskripsi |
|---|---|---|
| name | Diperlukan String | - |
| type | Diperlukan String | Nilai yang diizinkan: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification |
| Opsional String | Tersedia ketika: type = email Email | |
| webhook | Opsional String | Tersedia ketika: type = webhook URL Webhook |
| slack | Opsional String | Tersedia ketika: type = slack URL webhook Slack |
| discord | Opsional String | Tersedia ketika: type = discord URL webhook Discord |
| telegram | Opsional String | Tersedia ketika: type = telegram Token API Telegram |
| telegram_chat_id | Opsional String | Tersedia ketika: type = telegram ID Obrolan Telegram |
| microsoft_teams | Opsional String | Tersedia ketika: type = microsoft_teams URL webhook Microsoft Teams |
curl --request POST \
--url 'https://lnkto.my/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://lnkto.my/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://lnkto.my/api/notification-handlers/{notification_handler_id}
| Parameter | Detail | Deskripsi |
|---|---|---|
| name | Opsional String | - |
| type | Opsional String | Nilai yang diizinkan: email , webhook , slack , discord , telegram , microsoft_teams , internal_notification |
| Opsional String | Tersedia ketika: type = email Email | |
| webhook | Opsional String | Tersedia ketika: type = webhook URL Webhook |
| slack | Opsional String | Tersedia ketika: type = slack URL webhook Slack |
| discord | Opsional String | Tersedia ketika: type = discord URL webhook Discord |
| telegram | Opsional String | Tersedia ketika: type = telegram Token API Telegram |
| telegram_chat_id | Opsional String | Tersedia ketika: type = telegram ID Obrolan Telegram |
| microsoft_teams | Opsional String | Tersedia ketika: type = microsoft_teams URL webhook Microsoft Teams |
| is_enabled | Opsional Boolean | - |
curl --request POST \
--url 'https://lnkto.my/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://lnkto.my/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://lnkto.my/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://lnkto.my/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://lnkto.my/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \